[greenstone_es] Re: Imagemagick Ubuntu Greenstone 2.82

Gracias Raul, me gustaría evitar la actualización así que voy a ver si
encuentro la forma. Una pregunta por si alguien lo sabe ¿en que
archivo 2.82 de greenstone señala la ruta al imagemagick?

El día 10 de septiembre de 2009 15:39, Raúl Barrera
<raul.barrerap@xxxxxxxxx> escribió:
> Hola Julian, Greenstone por defecto utiliza el imagemagick que trae en su
> instalador, si deseas utilizar un imagemagick instalado por ti, debes
> modificar la ruta para que GS lo utilice.
> Pero al parecer, el problema está en tu versión de Ubuntu, aunque en teoría
> debiera funcionar perfecto, te recomiendo que actualices Ubuntu; yo tengo GS
> corriendo en Ubuntu 9.04 sin problemas, todo anda bien y con el imagemagick
> que trae GS.
>
> Raúl Barrera
> Prodigio Consultores.
>
> El 10 de septiembre de 2009 03:58, Julian Moyano <julianmoyanoc@xxxxxxxxx>
> escribió:
>>
>> Hola a todos:
>> He instalado Greenstone 2.82 en Ubuntu 6, y me está dando problemas
>> Imagemagick. He instalado adecuadamente Greenstone y:
>>
>> - Si modifico el nombre de la carpeta /bin/linux/imagemagick para que
>> reconozca el Imagema de Ubuntu, me avisa con un mensaje de que no está
>> instalado.
>>
>> - Ya se citó en este foro (Diego Spano), hace algún tiempo que hay que
>> modificar del fichero perllib/plugins/ImageConverter, una linea, en
>> concreto: if ($? == -1 || $? == 256) {  # Linux and Windows return
>> different values for "program not found" pero esa linea de comandos ya
>> no existe en la nueva versión ahora es: " if ( ($ENV{'GSDLOS'} eq
>> "windows" && $return_value == 256) || $return_value == -1) {  # Linux
>> and Windows return different values for "program not found"...
>>
>> ¿qué se puede hacer? ¿o quizá tenga problemas por mi vieja versión de
>> Ubuntu?
>>
>
>
>

Other related posts: